Public Attributes | List of all members
_i2s_handle Struct Reference
Peripheral Driver » HAL Driver » I2S » Structures » I2S handle

I2S handle Structure definition. More...

`#include <gr55xx_hal_i2s.h>`

## Public Attributes
i2s_regs_t * | p_instance
i2s_init_t | init
uint16_t * | p_tx_buffer
__IO uint32_t | tx_xfer_size
__IO uint32_t | tx_xfer_count
uint16_t * | p_rx_buffer
__IO uint32_t | rx_xfer_size
__IO uint32_t | rx_xfer_count
void(* | write_fifo )(struct _i2s_handle *p_i2s)
void(* | read_fifo )(struct _i2s_handle *p_i2s)
dma_handle_t * | p_dmatx
dma_handle_t * | p_dmarx
__IO hal_lock_t | lock
__IO hal_i2s_state_t | state
__IO uint32_t | error_code
uint32_t | timeout
uint32_t | retention [7]

## Detailed Description

I2S handle Structure definition.

Definition at line 129 of file gr55xx_hal_i2s.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _i2s_handle::error_code

I2S Error code

Definition at line 159 of file gr55xx_hal_i2s.h.

## ◆ init

i2s_init_t _i2s_handle::init

I2S communication parameters

Definition at line 133 of file gr55xx_hal_i2s.h.

## ◆ lock

__IO hal_lock_t _i2s_handle::lock

Locking object

Definition at line 155 of file gr55xx_hal_i2s.h.

## ◆ p_dmarx

dma_handle_t* _i2s_handle::p_dmarx

I2S RX DMA Handle parameters

Definition at line 153 of file gr55xx_hal_i2s.h.

## ◆ p_dmatx

dma_handle_t* _i2s_handle::p_dmatx

I2S TX DMA Handle parameters

Definition at line 151 of file gr55xx_hal_i2s.h.

## ◆ p_instance

i2s_regs_t* _i2s_handle::p_instance

I2S registers base address

Definition at line 131 of file gr55xx_hal_i2s.h.

## ◆ p_rx_buffer

uint16_t* _i2s_handle::p_rx_buffer

Pointer to I2S RX transfer Buffer

Definition at line 141 of file gr55xx_hal_i2s.h.

## ◆ p_tx_buffer

uint16_t* _i2s_handle::p_tx_buffer

Pointer to I2S TX transfer Buffer

Definition at line 135 of file gr55xx_hal_i2s.h.

## ◆ read_fifo

void(* _i2s_handle::read_fifo) (struct _i2s_handle *p_i2s)

Pointer to I2S Rx transfer FIFO read function

Definition at line 149 of file gr55xx_hal_i2s.h.

## ◆ retention

uint32_t _i2s_handle::retention[7]

I2S important register information.

Definition at line 163 of file gr55xx_hal_i2s.h.

## ◆ rx_xfer_count

__IO uint32_t _i2s_handle::rx_xfer_count

I2S RX Transfer Counter

Definition at line 145 of file gr55xx_hal_i2s.h.

## ◆ rx_xfer_size

__IO uint32_t _i2s_handle::rx_xfer_size

I2S RX Transfer size

Definition at line 143 of file gr55xx_hal_i2s.h.

## ◆ state

__IO hal_i2s_state_t _i2s_handle::state

I2S communication state

Definition at line 157 of file gr55xx_hal_i2s.h.

## ◆ timeout

uint32_t _i2s_handle::timeout

Timeout for the I2S memory access

Definition at line 161 of file gr55xx_hal_i2s.h.

## ◆ tx_xfer_count

__IO uint32_t _i2s_handle::tx_xfer_count

I2S TX Transfer Counter

Definition at line 139 of file gr55xx_hal_i2s.h.

## ◆ tx_xfer_size

__IO uint32_t _i2s_handle::tx_xfer_size

I2S TX Transfer size

Definition at line 137 of file gr55xx_hal_i2s.h.

## ◆ write_fifo

void(* _i2s_handle::write_fifo) (struct _i2s_handle *p_i2s)

Pointer to I2S Tx transfer FIFO write function

Definition at line 147 of file gr55xx_hal_i2s.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_i2s.h